package com.huimv.video.dhicc.test.other;

public class BaseRes {

    /** 结果原报文 */
    private String result;
    /** 请求ID */
    private String requestId;
    /** 返回状态码 */
    private String code;
    /** 是否成功 */
    private boolean success;
    /** 错误信息 */
    private String errMsg;
    /** 用于构建错误描述的参数 **/
    private Object args;

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public Object getArgs() {
        return args;
    }

    public void setArgs(Object args) {
        this.args = args;
    }
}
